SkmXmlApi

Public Member Functions | Static Public Member Functions | Properties | List of all members
SkmXmlApi.WhoAmICommand Class Reference

A command to get current user ID. More...

Inheritance diagram for SkmXmlApi.WhoAmICommand:

## Public Member Functions
void | Refresh ()
| Refreshes the data from the Skm server. More...
Public Member Functions inherited from SkmXmlApi.SkmBase
| SkmBase (SkmSession Session)
| Constructor More...

## Static Public Member Functions
static WhoAmICommand | NewWhoAmICommand (SkmSession Session)
| Create a new instance of the WhoAmICommand More...

## Properties
int | UserId`[get]`
| User Id of the user logged in More...
Properties inherited from SkmXmlApi.APICommand
string | BaseUrl`[get]`
| Gets the base Url for making requests to the Skm Api More...
Properties inherited from SkmXmlApi.SkmBase
SkmSession | Session`[get]`
| The current Skm session of the Skm object More...

## Additional Inherited Members
Protected Member Functions inherited from SkmXmlApi.APICommand
| APICommand (SkmSession Session)
| Constructor More...
Static Protected Member Functions inherited from SkmXmlApi.APICommand
static XmlDocument | ExecuteCommand (WebClient client, string Url)
| Executes a command via Http on the Skm server More...
Protected Attributes inherited from SkmXmlApi.SkmBase
SkmSession | m_session
| Reference to the Skm session of the object More...

## Detailed Description

A command to get current user ID.

## Member Function Documentation

## ◆ NewWhoAmICommand()

static WhoAmICommand SkmXmlApi.WhoAmICommand.NewWhoAmICommand | ( | SkmSession | Session | ) |
| static

Create a new instance of the WhoAmICommand

Parameters

  Session | Session currently being used

Returns
  New instance of WhoAmICommand

## ◆ Refresh()

void SkmXmlApi.WhoAmICommand.Refresh | ( |  | ) |

Refreshes the data from the Skm server.

## Property Documentation

## ◆ UserId

int SkmXmlApi.WhoAmICommand.UserId
| get

User Id of the user logged in

The documentation for this class was generated from the following file:

- src/SkmXmlApi/WhoAmICommand.cs